{% extends 'base.html' %}

{% block content %}
    <main>
        <div> 
            <h1>My Projects</h1>
            <p>
                <a href="{% url 'create_project' %}">Create a new project</a>
            </p>
            {% if project_list%}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                <tbody>
            {% for projects in project_list %}
                    <tr>
                        <td>
                            <a href="{% url 'show_project' projects.pk %}">{{ projects.name }}</a>
                        </td>
                        <td>{{ projects.items.all|length }}</td>
                    </tr>
            {% endfor %}
                </tbody>
            </table>
            {% else %}
            <p>You are not assigned to any projects</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}